## WebKitDOMHTMLButtonElement

WebKitDOMHTMLButtonElement

## Functions

gboolean | webkit_dom_html_button_element_check_validity ()
void | webkit_dom_html_button_element_set_custom_validity ()
gboolean | webkit_dom_html_button_element_get_autofocus ()
void | webkit_dom_html_button_element_set_autofocus ()
gboolean | webkit_dom_html_button_element_get_disabled ()
void | webkit_dom_html_button_element_set_disabled ()
WebKitDOMHTMLFormElement * | webkit_dom_html_button_element_get_form ()
gchar * | webkit_dom_html_button_element_get_form_action ()
void | webkit_dom_html_button_element_set_form_action ()
gchar * | webkit_dom_html_button_element_get_form_enctype ()
void | webkit_dom_html_button_element_set_form_enctype ()
gchar * | webkit_dom_html_button_element_get_form_method ()
void | webkit_dom_html_button_element_set_form_method ()
gboolean | webkit_dom_html_button_element_get_form_no_validate ()
void | webkit_dom_html_button_element_set_form_no_validate ()
gchar * | webkit_dom_html_button_element_get_form_target ()
void | webkit_dom_html_button_element_set_form_target ()
gchar * | webkit_dom_html_button_element_get_name ()
void | webkit_dom_html_button_element_set_name ()
gchar * | webkit_dom_html_button_element_get_value ()
void | webkit_dom_html_button_element_set_value ()
gboolean | webkit_dom_html_button_element_get_will_validate ()
WebKitDOMValidityState * | webkit_dom_html_button_element_get_validity ()
gchar * | webkit_dom_html_button_element_get_validation_message ()
WebKitDOMNodeList * | webkit_dom_html_button_element_get_labels ()

## Properties

gboolean | autofocus | Read / Write
gboolean | disabled | Read / Write
WebKitDOMHTMLFormElement * | form | Read
gchar * | form-action | Read / Write
gchar * | form-enctype | Read / Write
gchar * | form-method | Read / Write
gboolean | form-no-validate | Read / Write
gchar * | form-target | Read / Write
WebKitDOMNodeList * | labels | Read
gchar * | name | Read / Write
gchar * | type | Read / Write
gchar * | validation-message | Read
WebKitDOMValidityState * | validity | Read
gchar * | value | Read / Write
gboolean | will-validate | Read

## Types and Values

| WebKitDOMHTMLButtonElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLButtonElement

## Implemented Interfaces

WebKitDOMHTMLButtonElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_button_element_check_validity ()

    gboolean
    webkit_dom_html_button_element_check_validity
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_set_custom_validity ()

    void
    webkit_dom_html_button_element_set_custom_validity
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *error);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
error | A gchar |

### webkit_dom_html_button_element_get_autofocus ()

    gboolean
    webkit_dom_html_button_element_get_autofocus
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_set_autofocus ()

    void
    webkit_dom_html_button_element_set_autofocus
                                   (WebKitDOMHTMLButtonElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gboolean |

### webkit_dom_html_button_element_get_disabled ()

    gboolean
    webkit_dom_html_button_element_get_disabled
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_set_disabled ()

    void
    webkit_dom_html_button_element_set_disabled
                                   (WebKitDOMHTMLButtonElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gboolean |

### webkit_dom_html_button_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_button_element_get_form
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_button_element_get_form_action ()

    gchar *
    webkit_dom_html_button_element_get_form_action
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_form_action ()

    void
    webkit_dom_html_button_element_set_form_action
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_form_enctype ()

    gchar *
    webkit_dom_html_button_element_get_form_enctype
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_form_enctype ()

    void
    webkit_dom_html_button_element_set_form_enctype
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_form_method ()

    gchar *
    webkit_dom_html_button_element_get_form_method
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_form_method ()

    void
    webkit_dom_html_button_element_set_form_method
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_form_no_validate ()

    gboolean
    webkit_dom_html_button_element_get_form_no_validate
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_set_form_no_validate ()

    void
    webkit_dom_html_button_element_set_form_no_validate
                                   (WebKitDOMHTMLButtonElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gboolean |

### webkit_dom_html_button_element_get_form_target ()

    gchar *
    webkit_dom_html_button_element_get_form_target
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_form_target ()

    void
    webkit_dom_html_button_element_set_form_target
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_name ()

    gchar *
    webkit_dom_html_button_element_get_name
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_name ()

    void
    webkit_dom_html_button_element_set_name
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_value ()

    gchar *
    webkit_dom_html_button_element_get_value
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_set_value ()

    void
    webkit_dom_html_button_element_set_value
                                   (WebKitDOMHTMLButtonElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLButtonElement |
value | A gchar |

### webkit_dom_html_button_element_get_will_validate ()

    gboolean
    webkit_dom_html_button_element_get_will_validate
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gboolean

### webkit_dom_html_button_element_get_validity ()

    WebKitDOMValidityState *
    webkit_dom_html_button_element_get_validity
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A WebKitDOMValidityState.

[transfer full]

### webkit_dom_html_button_element_get_validation_message ()

    gchar *
    webkit_dom_html_button_element_get_validation_message
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A gchar

### webkit_dom_html_button_element_get_labels ()

    WebKitDOMNodeList *
    webkit_dom_html_button_element_get_labels
                                   (WebKitDOMHTMLButtonElement *self);

#### Parameters

self | A WebKitDOMHTMLButtonElement |

#### Returns

A WebKitDOMNodeList.

[transfer full]

## Types and Values

### WebKitDOMHTMLButtonElement

    typedef struct _WebKitDOMHTMLButtonElement WebKitDOMHTMLButtonElement;

## Property Details

### The `“autofocus”` property

      “autofocus”                gboolean

read-write gboolean HTMLButtonElement:autofocus.

Flags: Read / Write

Default value: FALSE

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLButtonElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLButtonElement:form.

Flags: Read

### The `“form-action”` property

      “form-action”              gchar *

read-write gchar* HTMLButtonElement:form-action.

Flags: Read / Write

Default value: ""

### The `“form-enctype”` property

      “form-enctype”             gchar *

read-write gchar* HTMLButtonElement:form-enctype.

Flags: Read / Write

Default value: ""

### The `“form-method”` property

      “form-method”              gchar *

read-write gchar* HTMLButtonElement:form-method.

Flags: Read / Write

Default value: ""

### The `“form-no-validate”` property

      “form-no-validate”         gboolean

read-write gboolean HTMLButtonElement:form-no-validate.

Flags: Read / Write

Default value: FALSE

### The `“form-target”` property

      “form-target”              gchar *

read-write gchar* HTMLButtonElement:form-target.

Flags: Read / Write

Default value: ""

### The `“labels”` property

      “labels”                   WebKitDOMNodeList *

read-only WebKitDOMNodeList* HTMLButtonElement:labels.

Flags: Read

### The `“name”` property

      “name”                     gchar *

read-write gchar* HTMLButtonElement:name.

Flags: Read / Write

Default value: ""

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLButtonElement:type.

Flags: Read / Write

Default value: ""

### The `“validation-message”` property

      “validation-message”       gchar *

read-only gchar* HTMLButtonElement:validation-message.

Flags: Read

Default value: ""

### The `“validity”` property

      “validity”                 WebKitDOMValidityState *

read-only WebKitDOMValidityState* HTMLButtonElement:validity.

Flags: Read

### The `“value”` property

      “value”                    gchar *

read-write gchar* HTMLButtonElement:value.

Flags: Read / Write

Default value: ""

### The `“will-validate”` property

      “will-validate”            gboolean

read-only gboolean HTMLButtonElement:will-validate.

Flags: Read

Default value: FALSE